Software sources errors after upgrade from Ubuntu 10.04

All Gurus once were Newbies
Forum rules
There are no such things as "stupid" questions. However if you think your question is a bit stupid, then this is the right place for you to post it. Please stick to easy to-the-point questions that you feel people can answer fast. For long and complicated questions prefer the other forums within the support section.
Before you post please read how to get help
Post Reply
cdanea
Level 1
Level 1
Posts: 5
Joined: Sun Nov 27, 2011 3:14 pm

Software sources errors after upgrade from Ubuntu 10.04

Post by cdanea »

Okay, i tried searching the forums, I even tried getting help on IRC before posting here ...

I installed Mint12 Lisa using the upgrade ubuntu option (i had a 32bit Ununtu 10.04, installed Mint12 64bit). I expected a lot of configs to go wrong and a lot of tweaking in order to get things going.

I managed to fix the themes, the fonts, the video drivers. I expected a lot more but it was relatively painless.
Until I noticed only ~1900 available apps in synaptic (which seems to be working for upgrading existing packages).
Also, most of my existing sources fail with a 404. I have no idea what to replace them with, and a lot of my apps stoped working (most notably chrome, wine). Since I cannot upgrade, remove or re-install them (they are not in the working repositories), what am I supposed to do?

Thanks
User avatar
Kilz
Level 4
Level 4
Posts: 200
Joined: Mon Apr 04, 2011 8:00 pm

Re: Software sources errors after upgrade from Ubuntu 10.04

Post by Kilz »

Here is the contents of my lisa /etc/apt/sources.list if you use the command

Code: Select all

sudo gedit /etc/apt/sources.list
you can edit yours to match, then update the package lists.

Code: Select all

deb http://packages.linuxmint.com/ lisa main upstream import
deb http://archive.ubuntu.com/ubuntu/ oneiric main restricted universe multiverse
deb http://archive.ubuntu.com/ubuntu/ oneiric-updates main restricted universe multiverse
deb http://security.ubuntu.com/ubuntu/ oneiric-security main restricted universe multiverse
deb http://archive.canonical.com/ubuntu/ oneiric partner
deb http://packages.medibuntu.org/ oneiric free non-free
I trust Microsoft about as far as I could comfortably spit a dead rat
Ubuntu is my past, it is no longer the place it once was, on its forums you are no longer free to voice your opinion.
64bit Linux Powered
cdanea
Level 1
Level 1
Posts: 5
Joined: Sun Nov 27, 2011 3:14 pm

Re: Software sources errors after upgrade from Ubuntu 10.04

Post by cdanea »

Ok, I had a lot more than those, I'll just comment everything and use only these these.
cdanea
Level 1
Level 1
Posts: 5
Joined: Sun Nov 27, 2011 3:14 pm

Re: Software sources errors after upgrade from Ubuntu 10.04

Post by cdanea »

Yey, thanks

No more errors. I see wine 1.2 and 1.3

I don't see winedoors, or google-chrome, but i guess they are not in the base repositories.

Also, I have over 59k available packages now.

Thanks a lot.
[edit typo]
User avatar
Kilz
Level 4
Level 4
Posts: 200
Joined: Mon Apr 04, 2011 8:00 pm

Re: Software sources errors after upgrade from Ubuntu 10.04

Post by Kilz »

No prob, glad it helped.
I trust Microsoft about as far as I could comfortably spit a dead rat
Ubuntu is my past, it is no longer the place it once was, on its forums you are no longer free to voice your opinion.
64bit Linux Powered
cdanea
Level 1
Level 1
Posts: 5
Joined: Sun Nov 27, 2011 3:14 pm

Re: Software sources errors after upgrade from Ubuntu 10.04

Post by cdanea »

Well, as log as we're in problems migrating from Ubuntu issue, here's another pickle:

chrome conflicts with chrome (old chrome was installed using the stable deb provided by google (then used it's autoupdate feature) ...
In synaptic(gtk) looking up google-chrome-stable properties tab, it
1. conflicts with google-chrome TWICE
2. replaces google-chrome TWICE
3. conflicts with google-chrome-stable

All this without it being installed!

I forgot to mention that I see it in the gnome menu still and I don't think I have alacarte in mint to clean things up.

In terminal:

Code: Select all

sudo apt-get --simulate install google-chrome-stable 
Reading package lists... Done
Building dependency tree       
Reading state information... Done
Some packages could not be installed. This may mean that you have
requested an impossible situation or if you are using the unstable
distribution that some required packages have not yet been created
or been moved out of Incoming.
The following information may help to resolve the situation:

The following packages have unmet dependencies:
 google-chrome-stable : Depends: libnspr4-0d (>= 4.7.1) but it is not installable
                        Depends: libnss3-1d (>= 3.12.3) but it is not installable
E: Unable to correct problems, you have held broken packages.


Also ... I still have errors in my sources list, somehow they got resurrected from yesterday, although I originally:

Code: Select all

cp /etc/apt/sources.list /etc/apt/sources.list.old
echo "above contents" > /etc/apt/sources.list

I'm considering doing a fresh install, and then just remounting the /home on the original /home disk ....

Not a great start so far :(
cdanea
Level 1
Level 1
Posts: 5
Joined: Sun Nov 27, 2011 3:14 pm

Re: Software sources errors after upgrade from Ubuntu 10.04

Post by cdanea »

As long as we're here, here's the weird thing about apt-get upgrade:

Code: Select all

Ign http://dl.google.com stable InRelease
Get:1 http://dl.google.com stable Release.gpg [189 B]
Ign http://ppa.launchpad.net oneiric InRelease
Ign http://ppa.launchpad.net oneiric InRelease
Ign http://archive.ubuntu.com lisa InRelease
Ign http://archive.ubuntu.com lisa-updates InRelease
Ign http://archive.ubuntu.com lisa-backports InRelease
Hit http://ppa.launchpad.net oneiric Release.gpg
Ign http://archive.ubuntu.com lisa Release.gpg
Hit http://ppa.launchpad.net oneiric Release.gpg
Ign http://archive.ubuntu.com lisa-updates Release.gpg
Hit http://ppa.launchpad.net oneiric Release
Ign http://archive.ubuntu.com lisa-backports Release.gpg
Hit http://ppa.launchpad.net oneiric Release
Ign http://archive.ubuntu.com lisa Release
Hit http://ppa.launchpad.net oneiric/main Sources
Hit http://ppa.launchpad.net oneiric/main amd64 Packages
Hit http://ppa.launchpad.net oneiric/main i386 Packages
Ign http://ppa.launchpad.net oneiric/main TranslationIndex
Ign http://packages.linuxmint.com lisa InRelease
Hit http://ppa.launchpad.net oneiric/main Sources
Hit http://ppa.launchpad.net oneiric/main amd64 Packages
Hit http://ppa.launchpad.net oneiric/main i386 Packages
Ign http://ppa.launchpad.net oneiric/main TranslationIndex
Ign http://archive.ubuntu.com lisa-updates Release
Ign http://archive.ubuntu.com lisa-backports Release
Get:2 http://dl.google.com stable Release [2,544 B]
Ign http://archive.ubuntu.com lisa/main TranslationIndex
Ign http://archive.ubuntu.com lisa/multiverse TranslationIndex
Ign http://archive.ubuntu.com lisa/restricted TranslationIndex
Ign http://archive.ubuntu.com lisa/universe TranslationIndex
Get:3 http://packages.linuxmint.com lisa Release.gpg [198 B]
Get:4 http://dl.google.com stable/non-free amd64 Packages [1,025 B]
Ign http://archive.ubuntu.com lisa-updates/main TranslationIndex
Ign http://archive.ubuntu.com lisa-updates/multiverse TranslationIndex
Ign http://archive.ubuntu.com lisa-updates/restricted TranslationIndex
Ign http://archive.ubuntu.com lisa-updates/universe TranslationIndex
Get:5 http://packages.linuxmint.com lisa Release [16.5 kB]
Ign http://archive.ubuntu.com lisa-backports/main TranslationIndex
Ign http://archive.ubuntu.com lisa-backports/multiverse TranslationIndex
Ign http://archive.ubuntu.com lisa-backports/restricted TranslationIndex
Ign http://ppa.launchpad.net oneiric/main Translation-en_US
Ign http://ppa.launchpad.net oneiric/main Translation-en
Ign http://archive.ubuntu.com lisa-backports/universe TranslationIndex
Ign http://ppa.launchpad.net oneiric/main Translation-en_US
Ign http://ppa.launchpad.net oneiric/main Translation-en
Get:6 http://packages.linuxmint.com lisa/main amd64 Packages [12.0 kB]
Get:7 http://packages.linuxmint.com lisa/upstream amd64 Packages [25.4 kB]
Get:8 http://packages.linuxmint.com lisa/import amd64 Packages [19.9 kB]
Get:9 http://packages.linuxmint.com lisa/main i386 Packages [12.0 kB]
Get:10 http://packages.linuxmint.com lisa/upstream i386 Packages [24.9 kB]
Err http://archive.ubuntu.com lisa/main amd64 Packages
  404  Not Found
Err http://archive.ubuntu.com lisa/restricted amd64 Packages
  404  Not Found
Err http://archive.ubuntu.com lisa/universe amd64 Packages
  404  Not Found
Err http://archive.ubuntu.com lisa/multiverse amd64 Packages
  404  Not Found
Err http://archive.ubuntu.com lisa/main i386 Packages
  404  Not Found
Err http://archive.ubuntu.com lisa/restricted i386 Packages
  404  Not Found
Err http://archive.ubuntu.com lisa/universe i386 Packages
  404  Not Found
Err http://archive.ubuntu.com lisa/multiverse i386 Packages
  404  Not Found
Get:11 http://packages.linuxmint.com lisa/import i386 Packages [19.9 kB]
Ign http://packages.linuxmint.com lisa/import TranslationIndex
Ign http://packages.linuxmint.com lisa/main TranslationIndex
Ign http://packages.linuxmint.com lisa/upstream TranslationIndex
Err http://archive.ubuntu.com lisa-updates/main amd64 Packages
  404  Not Found
Err http://archive.ubuntu.com lisa-updates/restricted amd64 Packages
  404  Not Found
Err http://archive.ubuntu.com lisa-updates/universe amd64 Packages
  404  Not Found
Err http://archive.ubuntu.com lisa-updates/multiverse amd64 Packages
  404  Not Found
Err http://archive.ubuntu.com lisa-updates/main i386 Packages
  404  Not Found
Err http://archive.ubuntu.com lisa-updates/restricted i386 Packages
  404  Not Found
Err http://archive.ubuntu.com lisa-updates/universe i386 Packages
  404  Not Found
Err http://archive.ubuntu.com lisa-updates/multiverse i386 Packages
  404  Not Found
Err http://archive.ubuntu.com lisa-backports/main amd64 Packages
  404  Not Found
Err http://archive.ubuntu.com lisa-backports/restricted amd64 Packages
  404  Not Found
Err http://archive.ubuntu.com lisa-backports/universe amd64 Packages
  404  Not Found
Err http://archive.ubuntu.com lisa-backports/multiverse amd64 Packages
  404  Not Found
Err http://archive.ubuntu.com lisa-backports/main i386 Packages
  404  Not Found
Err http://archive.ubuntu.com lisa-backports/restricted i386 Packages
  404  Not Found
Err http://archive.ubuntu.com lisa-backports/universe i386 Packages
  404  Not Found
Err http://archive.ubuntu.com lisa-backports/multiverse i386 Packages
  404  Not Found
Err http://archive.ubuntu.com lisa-backports/multiverse amd64 Packages
  404  Not Found
Err http://archive.ubuntu.com lisa-backports/main i386 Packages
  404  Not Found
Err http://archive.ubuntu.com lisa-backports/restricted i386 Packages
  404  Not Found
Err http://archive.ubuntu.com lisa-backports/universe i386 Packages
  404  Not Found
Err http://archive.ubuntu.com lisa-backports/multiverse i386 Packages
  404  Not Found
Ign http://archive.ubuntu.com lisa/main Translation-en_US
Ign http://archive.ubuntu.com lisa/main Translation-en
Ign http://archive.ubuntu.com lisa/multiverse Translation-en_US
Ign http://archive.ubuntu.com lisa/multiverse Translation-en
Ign http://archive.ubuntu.com lisa/restricted Translation-en_US
Ign http://archive.ubuntu.com lisa/restricted Translation-en
Ign http://archive.ubuntu.com lisa/universe Translation-en_US
Ign http://archive.ubuntu.com lisa/universe Translation-en
Ign http://archive.ubuntu.com lisa-updates/main Translation-en_US
Ign http://archive.ubuntu.com lisa-updates/main Translation-en
Ign http://archive.ubuntu.com lisa-updates/multiverse Translation-en_US
Ign http://archive.ubuntu.com lisa-updates/multiverse Translation-en
Ign http://archive.ubuntu.com lisa-updates/restricted Translation-en_US
Ign http://archive.ubuntu.com lisa-updates/restricted Translation-en
Ign http://archive.ubuntu.com lisa-updates/universe Translation-en_US
Ign http://archive.ubuntu.com lisa-updates/universe Translation-en
Ign http://archive.ubuntu.com lisa-backports/main Translation-en_US
Ign http://archive.ubuntu.com lisa-backports/main Translation-en
Ign http://archive.ubuntu.com lisa-backports/multiverse Translation-en_US
Ign http://archive.ubuntu.com lisa-backports/multiverse Translation-en
Ign http://archive.ubuntu.com lisa-backports/restricted Translation-en_US
Ign http://archive.ubuntu.com lisa-backports/restricted Translation-en
Ign http://archive.ubuntu.com lisa-backports/universe Translation-en_US
Ign http://archive.ubuntu.com lisa-backports/universe Translation-en
Ign http://packages.linuxmint.com lisa/import Translation-en_US
Ign http://packages.linuxmint.com lisa/import Translation-en
Ign http://packages.linuxmint.com lisa/main Translation-en_US
Ign http://packages.linuxmint.com lisa/main Translation-en
Ign http://packages.linuxmint.com lisa/upstream Translation-en_US
Ign http://packages.linuxmint.com lisa/upstream Translation-en
Get:12 http://dl.google.com stable/main amd64 Packages [1,104 B]
Get:13 http://dl.google.com stable/non-free i386 Packages [1,010 B]
Get:14 http://dl.google.com stable/main i386 Packages [1,082 B]
Ign http://dl.google.com stable/main TranslationIndex
Ign http://dl.google.com stable/non-free TranslationIndex
Ign http://dl.google.com stable/main Translation-en_US
Ign http://dl.google.com stable/main Translation-en
Ign http://dl.google.com stable/non-free Translation-en_US
Ign http://dl.google.com stable/non-free Translation-en
Fetched 138 kB in 14s (9,399 B/s)
But i only had the 6 listed in the first reply .... sure enough, the sources.list file is full of cr*p again ...
User avatar
Kilz
Level 4
Level 4
Posts: 200
Joined: Mon Apr 04, 2011 8:00 pm

Re: Software sources errors after upgrade from Ubuntu 10.04

Post by Kilz »

I think your right, it would be best to do a clean install so you can avoid issues.
I trust Microsoft about as far as I could comfortably spit a dead rat
Ubuntu is my past, it is no longer the place it once was, on its forums you are no longer free to voice your opinion.
64bit Linux Powered
Post Reply

Return to “Newbie Questions”